import request from '@/utils/httpRequest'
import { ASSESS_PATH as prefix } from "../AppPath";

export default class WorkContractService {
  save (param) {
    return request({
      url: prefix + '/workContract/workContractBorrow/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/workContract/workContractBorrow/updateStatusById',
      method: 'post',
      data: param
    })
  }
  updateStatusByContractInfoId (param) {
    return request({
      url: prefix + '/workContract/workContractBorrow/updateStatusByContractInfoId',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/workContract/workContractBorrow/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractInfoId (id) {
    return request({
      url: prefix + '/workContract/workContractBorrow/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
  updateMessageStatusById (param) {
    return request({
      url: prefix + '/workContract/workContractBorrow/updateMessageStatusById',
      method: 'post',
      data: param
    })
  }
  deleteById (id) {
    return request({
      url: prefix + '/workContract/workContractBorrow/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
  findMessageList (id) {
    return request({
      url: prefix + '/workContract/workContractBorrow/findMessageList',
      method: 'get',
      params: {id: id}
    })
  }
}
